<!DOCTYPE html>
<html xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}"
      lang="en">
<head>
    <meta charset="UTF-8">
    <title>Editing a profile</title>
</head>
<body>
<div layout:fragment="content">
    <h3 class="mt-3 mb-3" th:text="'Editing a profile: ' + ${userForm.getFirstName()}+ ' ' + ${userForm.getLastName()}">Editing a profile</h3>
    <form method="POST" class="needs-validation" novalidate style="max-width: 50vw" th:action="@{/users/profile/update}" th:object="${userForm}">
        <input type="hidden" name="id" th:value="${userForm.getId()}">
        <div class="mt-3 row g-2">
            <div class="col-md">
                <div class="form-floating">
                    <input name="firstName" th:value="${userForm.getFirstName()}" type="text" class="form-control" id="firstName" placeholder="Enter your name" required>
                    <label for="firstName">Name</label>
                    <div class="invalid-feedback">Required field to fill in</div>
                </div>
            </div>
            <div class="col-md">
                <div class="form-floating">
                    <input name="lastName" type="text" th:value="${userForm.getLastName()}" class="form-control" id="lastName" placeholder="Enter your Lastname" required>
                    <label for="lastName">Lastname</label>
                    <div class="invalid-feedback">Required field to fill in</div>
                </div>
            </div>
            <div class="col-md">
                <div class="form-floating">
                    <input name="middleName" th:value="${userForm.getMiddleName()}" type="text" class="form-control" id="middleName" placeholder="Enter your Middle-name">
                    <label for="middleName">Middle-name</label>
                </div>
            </div>
        </div>
        <div class="mt-3 row g-2">
            <div class="col-md">
                <div class="form-floating">
                    <input name="email" th:value="${userForm.getEmail()}" type="email" class="form-control" id="email" placeholder="Enter email" required>
                    <label for="email">Email</label>
                    <div class="invalid-feedback">Required field to fill in</div>
                    <div class="alert alert-danger" th:if="${#fields.hasErrors('email')}">
                        <p th:errors="*{email}"></p>
                    </div>
                </div>
            </div>
            <div class="col-md">
                <div class="form-floating">
                    <input name="phone" type="text" th:value="${userForm.getPhone()}" class="form-control" id="phone" placeholder="Enter your phone number">
                    <label for="phone">Phone number</label>
                    <div class="invalid-feedback">Required field to fill in</div>
                </div>
            </div>
            <div class="col-md">
                <div class="form-floating">
                    <input name="birthDate" type="date" th:value="${userForm.getBirthDate()}" class="form-control" id="birthDate" placeholder="Enter your date of birth" required>
                    <label for="birthDate">Date of Birth</label>
                    <div class="invalid-feedback">Required field to fill in</div>
                </div>
            </div>
        </div>
        <div class="mt-3 row g-2">
            <div class="col-md">
                <div class="form-floating">
                    <textarea name="address" th:value="${userForm.getAddress()}" th:text="${userForm.getAddress()}" type="text" class="form-control" id="address" placeholder="Address"></textarea>
                    <label for="address">Address</label>
                </div>
            </div>
        </div>
        <div class="mt-3 row g-2">
            <button type="submit" class="btn btn-primary" onclick="validateForm()">Save</button>
            <button type="button" class="btn btn-secondary" onclick="window.history.back()">Back</button>
        </div>
    </form>
</div>
</body>
</html>
